//
//
// Pov-file for the POV-Ray ray-tracing program 
// ============================================
//
// Made when: 2015-01-06, updated 2015-01-11
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// The POV-Ray ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//                            


#version 3.6;

#include "colors.inc"
#include "shapes.inc"
#include "glass.inc"  
 

camera {
   location  <0.0, 0.0, -3.0>
   direction <0.0, 0.0, 1.0>
   up        <0.0, 1.0, 0.0>
   right     <4/3, 0.0, 0.0>
} 
 

light_source { <8.0, 20.0, -20.0>
      colour red 0.67 green 0.64 blue 0.64
      spotlight
      point_at <0.0, -0.5, 2.0>
      tightness 50.0
      radius 100.0
      falloff 100.0
} 


#declare planetexture1 = texture {
   pigment { color red 0.7 green 0.7 blue 0.7 }
   finish {
      ambient 0.025
      reflection 0.12
      diffuse 1.0
      phong 1.0
      phong_size 3.0
   }
}   
 
 
#declare www1 = object {  

     plane { -x, 25.65 rotate  -2.2689947*z }  

}    

#declare www2 = object {  

     plane { -x, 15.0 rotate -34.04593736*z }  

}  


#declare ob1 = intersection {  
                     
     plane { y, 0.0 inverse } 
     
     object { www1 rotate   0.0*y }  
     object { www1 rotate  90.0*y }
     object { www1 rotate 180.0*y }
     object { www1 rotate 270.0*y }
     
     object { www2 rotate   0.0*y translate 269.0*y } 
     object { www2 rotate  90.0*y translate 269.0*y }  
     object { www2 rotate 180.0*y translate 269.0*y }
     object { www2 rotate 270.0*y translate 269.0*y }
         
}  


#declare obelisk1 = object { 

    object { ob1 } 
    
    texture {
       pigment { color rgbf <0.98, 0.98, 0.98, 0.92> }
       finish { F_Glass2
          ambient 0.08 
       }
    }
}
       
       
union {  

    object { obelisk1 no_shadow }
    
    scale 0.0075 
    rotate 0.0*y 
    translate -1.0*y
    translate -0.0*z
    
} 


union {  
    
    plane { y, -1.4
        texture { planetexture1 } 
    }   
    
} 

union {
          
    plane { z, 4.0
        texture { planetexture1 } 
    }           
      
}       


// End of pov-file

